Request settings are useful for managing your org's access requests.
Request settings can be read and updated at the org and resource level.
The information provided by request settings may be used to determine if another operation, such as creating a request condition, is valid for a particular organization and resource.
See Access requests - Get started for information on setting up access requests for your organization.
- okta.accessRequests.condition.read
- ACCESS_REQUESTS_ADMIN
Retrieves the request settings for a resource
Resource request settings are useful for determining what kind of request conditions can be created or updated for a resource.
For example:
validAccessScopeSettingsindicates whataccessScopeSettingsmay be passed in aCreate request conditionorUpdate request conditionoperation.validRequesterSettingsindicates whatrequesterSettingsmay be passed in aCreate request conditionorUpdate request conditionoperation.validAccessDurationSettingsindicates the maximum duration the user will have access to the resources.validRiskSettingsindicates whatriskSettingsmay be passed. Currently, it can be at the resource request settings.validRequestOnBehalfOfSettingsindicates the available request on behalf of settings for the resource.requestOnBehalfOfSettingsif they exist, they indicate the settings specified for request on behalf of.riskSettingsif they exist, they indicate the risk settings specified for the resource.
See response examples for various possible request setting scenarios.
Unique identifier for the resource in Okta instance ID format or ORN format
curl -i -X GET \
'https://okta-subdomain.pixtulate.com/governance/api/v2/resources/{resourceId}/request-settings'A successful request settings get response
Access scope settings that are eligible to be added to a request condition for the specified resource
Request scope settings that are eligible to be added to a request condition for the specified resource
Admin specified access duration settings added to a request condition or risk settings for the specified resource
Specifies if and for whom a requester may request the resource for.
Risk settings that are eligible for the specified resource
Risk settings that are valid for an access request when a risk has been detected for the resource and requesting user
- When governance enabled resource has entitlement bundle and value access scopes |tooltip| When resource: - Has entitlement management enabled - Has at least one entitlement value - Has at least one entitlement bundle
- When governance enabled resource only supported default access scope |tooltip| When resource: - Has entitlement management enabled - AND hasn't defined any entitlement values - AND hasn't defined any entitlement bundles
- When governance enabled resource has default and entitlement value access scope |tooltip| When resource: - Has governance engine enabled - AND has at least one entitlement defined - AND has not defined any entitlement bundles
- When resource supports default and group access scope |tooltip| When resource: - Does not have governance engine enabled - AND has at least one group assignment or push group.
- When resource only supports default access scope |tooltip| When resource: - Does not have governance engine with at least one entitlement or bundle - AND does not have a group that assigns to the resource - AND does not have a group that pushes to the resource.
- When resource requester settings restricted to groups |tooltip| Some special resources, like `Okta Admin Console` application, may have their `requesterSettings` restricted to only groups.
- When resource is not supported |tooltip| When a resource does not have any support for access requests. This can occur when the organization is not enabled for any access requests features.
- When resource has groups and everyone requester settings |tooltip| When resource has groups and everyone requester settings
- When resource supports admin fixed access duration as well as requester specified access duration |tooltip| When resource supports admin fixed access duration as well as requester specified access duration
- When the resource supports request on behalf of for every requester |tooltip| When resource supports any requesters requesting on behalf of any other requester
- When the resource supports requesting on behalf of direct reports |tooltip| When the resource supports requesting on behalf of direct reports
- When risk settings is not supported at the resource level
- When risk settings is supported at the resource level |tooltip| When risk settings is supported at the resource level. Request submission is restricted by default, when no risk settings have been updated.
- When resource has one risk settings allowing request submission with no overrides
- When resource has one risk settings allowing request submission with overrides
- When resource has one risk settings restricting request submission
- When resource risk settings has an error
- When the resource doesn't support any valid request on behalf of settings
{ "validAccessScopeSettings": [ { … }, { … } ], "validRequesterSettings": [ { … }, { … } ], "validAccessDurationSettings": { "required": true, "maximumDays": 365, "maximumHours": 72, "maximumWeeks": 52, "supportedTypes": [ … ] }, "validRiskSettings": { "supportedTypes": [] }, "validRequestOnBehalfOfSettings": [ { … }, { … } ] }